Bug 14033 - Capitalization: confirmation message on deleting an authority type
Summary: Capitalization: confirmation message on deleting an authority type
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords: rel_3_16_candidate
Depends on:
Blocks:
 
Reported: 2015-04-21 05:38 UTC by Katrin Fischer
Modified: 2016-12-05 21:22 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14033 - Capitalization: confirmation message on deleting an authority type (6.86 KB, patch)
2015-04-22 07:01 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14033 - Capitalization: confirmation message on deleting an authority type (6.90 KB, patch)
2015-04-28 15:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14033 - Capitalization: confirmation message on deleting an authority type (8.76 KB, patch)
2015-04-29 06:05 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 14033 - Capitalization: confirmation message on deleting an authority type (8.78 KB, patch)
2015-04-29 20:16 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-04-21 05:38:09 UTC
The capitalization on the confirmation message for deleting an authority type doesn't follow our rules.
Comment 1 Marc Véron 2015-04-21 16:03:54 UTC
Do you mean something like:

Confirm deletion of authority structure definition for 'Uniform Title' (UNIF_TITLE)
in cgi-bin/koha/admin/authtypes.pl?op=delete_confirm&authtypecode=UNIF_TITLE

'Uniform Title' comes from the description of this authority type.

Or am I looking at the wrong place? :-)
Comment 2 Katrin Fischer 2015-04-21 16:18:15 UTC
Try and delete one - it says: No, Do Not Delete... which is not what our rules say :)
Comment 3 Marc Véron 2015-04-21 19:53:52 UTC
git grep 'No, Do'

koha-tmpl/intranet-tmpl/prog/en/modules/admin/authtypes.tt
koha-tmpl/intranet-tmpl/prog/en/modules/admin/classsources.tt
koha-tmpl/intranet-tmpl/prog/en/modules/admin/currency.tt
koha-tmpl/intranet-tmpl/prog/en/modules/admin/marctagstructure.tt
koha-tmpl/intranet-tmpl/prog/en/modules/admin/matching-rules.tt
koha-tmpl/intranet-tmpl/prog/en/modules/admin/patron-attr-types.tt
koha-tmpl/intranet-tmpl/prog/en/modules/admin/stopwords.tt
Comment 4 Marc Véron 2015-04-22 07:01:55 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-04-28 15:25:40 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2015-04-28 20:35:52 UTC
Hi Marc, please also correct the 'Yes, Delete' and similar on those templates, so both messages match again. there are also some others, like: Delete this Currency (for yes).
Comment 7 Marc Véron 2015-04-29 06:05:02 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2015-04-29 20:16:32 UTC
Created attachment 38686 [details] [review]
[PASSED QA] Bug 14033 - Capitalization: confirmation message on deleting an authority type

This bug fixes capitalization of "No, Do Not Delete" in following templates:

koha-tmpl/intranet-tmpl/prog/en/modules/admin/authtypes.tt
koha-tmpl/intranet-tmpl/prog/en/modules/admin/classsources.tt
koha-tmpl/intranet-tmpl/prog/en/modules/admin/currency.tt
koha-tmpl/intranet-tmpl/prog/en/modules/admin/marctagstructure.tt
koha-tmpl/intranet-tmpl/prog/en/modules/admin/matching-rules.tt
koha-tmpl/intranet-tmpl/prog/en/modules/admin/patron-attr-types.tt
koha-tmpl/intranet-tmpl/prog/en/modules/admin/stopwords.tt

To test: Verify that the strings are properly replaced.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Fixed some tabs.
Comment 9 Tomás Cohen Arazi 2015-05-06 13:43:57 UTC
Patch pushed to master.

Thanks Marc!
Comment 10 Chris Cormack 2015-05-17 05:45:58 UTC
Pushed to 3.18.x will be in 3.18.7